<?php

class ciberprotector_User_Authentication_Configuration_Checker
{

	const CIBERPROTECTOR_TOTP_SECRET = 'ciberprotector_totp_secret';
	const CIBERPROTECTOR_TOTP_STATUS = 'ciberprotector_totp_status';
	const CIBERPROTECTOR_TOTP_STATUS_ENABLED = 'totp_enabled';

	/**
	 * @param int $user_id
	 *
	 * @return bool
	 */
	public function is_user_using_twofactor_authentication($user_id)
	{
		return $this->is_totp_configured($user_id) && $this->is_totp_enabled($user_id);
	}

	/**
	 * @param int $user_id
	 *
	 * @return bool
	 */
	private function is_totp_configured($user_id)
	{
		return (bool)get_user_meta($user_id, self::CIBERPROTECTOR_TOTP_SECRET, true);
	}

	/**
	 * @param int $user_id
	 *
	 * @return bool
	 */
	private function is_totp_enabled($user_id)
	{
		return get_user_meta($user_id, self::CIBERPROTECTOR_TOTP_STATUS, true) === self::CIBERPROTECTOR_TOTP_STATUS_ENABLED;
	}
}
