<?php

namespace TwoFAS\Encryption\Interfaces;

/**
 * Interface IVGenerator
 * @package TwoFAS\Encryption\Interfaces
 */
interface IVGenerator
{
    /**
     * Return Initialization Vector
     * @return string
     */
    public function getIV();

    /**
     * Return IV length generated by this class
     * @return int
     */
    public function getIVLength();

    /**
     * Return string representing encryption algorithm designated to use IV generated by this class.
     * @return string
     */
    public function getCipherMethod();
}
